package org.jboss.test.securitymgr.interfaces;

import java.rmi.RemoteException;
import java.security.Principal;
import javax.ejb.EJBObject;

/** Test that a bean cannot access secured jboss internals
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1.4.2 $
 */
public interface Bad extends EJBObject
{
    public Principal getPrincipal()
       throws RemoteException;
    public Object getCredential()
       throws RemoteException;
    public void setPrincipal(Principal user)
       throws RemoteException;
    public void setCredential(char[] password)
       throws RemoteException;
   public void getSubject()
      throws RemoteException;
   public void getSubjectCredentials()
      throws RemoteException;
   public void setSubject()
      throws RemoteException;
   public void popRunAsRole()
      throws RemoteException;
   public void pushRunAsRole()
      throws RemoteException;

}
